<form [formGroup] = "signInForm" (submit) = "submit()" style="border:1px solid #ccc">
    <div class="container">
      <h1>Log in</h1>
      <hr>
      <label for="username"><b>Username</b></label>
      <input 
        formControlName = "username"
        class = "form-control" 
        name="username"
        type="text" 
        placeholder="Enter Username" 
        required>
      <div class = "alert alert-danger" *ngIf = "username.invalid && username.touched">Username required.</div>
    

      <label for="psw"><b>Password</b></label>
      <input  formControlName = "password" class = "form-control" type="password" placeholder="Enter Password" name="psw" aria-describedby="passwordHelpBlock" required>
      <div class = "alert alert-danger" *ngIf="password.invalid && password.touched">Password required.</div>
    

      <div class="clearfix">
        <button type="submit" class="signinbtn">Log in</button>
      </div>

      <a [routerLink] = "['/signup']" style="color:dodgerblue">Not a member? Sign up </a>

    </div>
  </form>  